Hide navigation sidebar
Hide table of contents sidebar
Back to top
Toggle table of contents sidebar

# `incus storage`

Manage storage pools and volumes

## Synopsis

Description: Manage storage pools and volumes

    incus storage [flags]

## Options inherited from parent commands

          --debug          Show all debug messages
          --force-local    Force using the local unix socket
      -h, --help           Print help
          --project        Override the source project
      -q, --quiet          Don't show progress information
          --sub-commands   Use with help or --help to view sub-commands
      -v, --verbose        Show all information messages
          --version        Print version number

## SEE ALSO

- incus - Command line client for Incus

- incus storage bucket - Manage storage buckets

- incus storage create - Create storage pools

- incus storage delete - Delete storage pools

- incus storage edit - Edit storage pool configurations as YAML

- incus storage get - Get values for storage pool configuration keys

- incus storage info - Show useful information about storage pools

- incus storage list - List available storage pools

- incus storage set - Set storage pool configuration keys

- incus storage show - Show storage pool configurations and resources

- incus storage unset - Unset storage pool configuration keys

- incus storage volume - Manage storage volumes